SystemOrganization addCategory: #ConfigurationOfVisuAule!

Object subclass: #ConfigurationOfVisuAule
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfVisuAule'!

!ConfigurationOfVisuAule class methodsFor: 'development support' stamp: 'CamiloGomez 7/6/2012 16:14'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfVisuAule class methodsFor: 'private' stamp: 'CamiloGomez 7/6/2012 16:14'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfVisuAule class methodsFor: 'private' stamp: 'CamiloGomez 7/6/2012 16:14'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfVisuAule class methodsFor: 'private' stamp: 'CamiloGomez 7/6/2012 16:14'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfVisuAule class methodsFor: 'metacello tool support' stamp: 'CamiloGomez 7/6/2012 16:14'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfVisuAule class methodsFor: 'loading' stamp: 'CamiloGomez 7/6/2012 16:14'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfVisuAule class methodsFor: 'loading' stamp: 'CamiloGomez 7/6/2012 16:14'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfVisuAule class methodsFor: 'loading' stamp: 'CamiloGomez 7/6/2012 16:14'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfVisuAule class methodsFor: 'accessing' stamp: 'CamiloGomez 7/6/2012 16:14'!
project

	^self new project! !

!ConfigurationOfVisuAule class methodsFor: 'development support' stamp: 'CamiloGomez 7/6/2012 16:14'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfVisuAule methodsFor: 'baselines' stamp: 'CamiloGomez 7/6/2012 16:14'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/VisuAule'.
		spec package: #VisuAule.
		spec group: 'default' with: #(#VisuAule ). ].
! !

!ConfigurationOfVisuAule methodsFor: 'symbolic versions' stamp: 'CamiloGomez 7/6/2012 16:14'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.0'.
! !

!ConfigurationOfVisuAule methodsFor: 'accessing' stamp: 'CamiloGomez 7/6/2012 16:14'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfVisuAule methodsFor: 'versions' stamp: 'CamiloGomez 7/6/2012 16:15'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.0 : First commit'.
		spec author: 'CamiloGomez'.
		spec timestamp: '7/6/2012 16:15'.
		spec package: #VisuAule with: 'VisuAule-CamiloGomez.8'. ].
! !
